Query Recurring Gifts
curl --request POST \
--url https://api.virtuoussoftware.com/api/RecurringGift/Query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"groups": [
{
"conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
}
]
},
{
"conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
}
]
}
],
"sortBy": "<string>",
"descending": "<boolean>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
groups: [
{
conditions: [
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
},
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
}
]
},
{
conditions: [
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
},
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
}
]
}
],
sortBy: '<string>',
descending: '<boolean>'
})
};
fetch('https://api.virtuoussoftware.com/api/RecurringGift/Query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/RecurringGift/Query"
payload = {
"groups": [{ "conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": ["<string>", "<string>"]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": ["<string>", "<string>"]
}
] }, { "conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": ["<string>", "<string>"]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": ["<string>", "<string>"]
}
] }],
"sortBy": "<string>",
"descending": "<boolean>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/RecurringGift/Query");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"groups\": [\n {\n \"conditions\": [\n {\n \"parameter\": \"<string>\",\n \"operator\": \"<string>\",\n \"value\": \"<string>\",\n \"secondaryValue\": \"<string>\",\n \"values\": [\n \"<string>\",\n \"<string>\"\n ]\n },\n {\n \"parameter\": \"<string>\",\n \"operator\": \"<string>\",\n \"value\": \"<string>\",\n \"secondaryValue\": \"<string>\",\n \"values\": [\n \"<string>\",\n \"<string>\"\n ]\n }\n ]\n },\n {\n \"conditions\": [\n {\n \"parameter\": \"<string>\",\n \"operator\": \"<string>\",\n \"value\": \"<string>\",\n \"secondaryValue\": \"<string>\",\n \"values\": [\n \"<string>\",\n \"<string>\"\n ]\n },\n {\n \"parameter\": \"<string>\",\n \"operator\": \"<string>\",\n \"value\": \"<string>\",\n \"secondaryValue\": \"<string>\",\n \"values\": [\n \"<string>\",\n \"<string>\"\n ]\n }\n ]\n }\n ],\n \"sortBy\": \"<string>\",\n \"descending\": \"<boolean>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/RecurringGift/Query';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
groups: [
{
conditions: [
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
},
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
}
]
},
{
conditions: [
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
},
{
parameter: '<string>',
operator: '<string>',
value: '<string>',
secondaryValue: '<string>',
values: ['<string>', '<string>']
}
]
}
],
sortBy: '<string>',
descending: '<boolean>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"list": [
{
"id": 700089,
"transactionSource": null,
"transactionId": null,
"contactId": 100456,
"startDate": "2023-02-15T00:00:00Z",
"amount": 50,
"frequency": "Monthly",
"anticipatedEndDate": null,
"cancelDateTimeUtc": null,
"createDateTimeUtc": "2023-02-15T10:30:00Z",
"createdByUser": "Online Form",
"modifiedDateTimeUtc": "2025-11-15T03:00:00Z",
"modifiedByUser": "Recurring Gift Service",
"segmentId": null,
"segment": null,
"segmentUrl": null,
"automatedPayments": true,
"trackPayments": true,
"isPrivate": false,
"status": "Active",
"nextExpectedPaymentDate": "2025-12-15T00:00:00Z",
"designations": [
{
"projectId": 1001,
"project": "General Fund",
"projectUrl": "https://api.virtuoussoftware.com/api/Project/1001",
"amountDesignated": 50,
"projectCode": "GEN"
}
],
"customFields": []
}
],
"total": 312
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Recurring Gifts
Query Recurring Gifts
POST
/
api
/
RecurringGift
/
Query
Query Recurring Gifts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The number of records to skip. Default = 0.
The number of records to take. Default = 10. Max is 1000.
Body
application/json
Last modified on April 23, 2026
Was this page helpful?
⌘I